diff --git a/lib/app/modules/petugas_desa/views/dashboard_view.dart b/lib/app/modules/petugas_desa/views/dashboard_view.dart
index dc5dccf..65748ce 100644
--- a/lib/app/modules/petugas_desa/views/dashboard_view.dart
+++ b/lib/app/modules/petugas_desa/views/dashboard_view.dart
@@ -322,225 +819,429 @@ class DashboardView extends GetView<PetugasDesaDashboardController> {
   }
 
   Widget _buildStatistikPerforma() {
-    return Column(
-      crossAxisAlignment: CrossAxisAlignment.start,
-      children: [
-        Text(
-          'Statistik Performa',
-          style: TextStyle(
-            fontSize: 18,
-            fontWeight: FontWeight.bold,
-            color: AppTheme.primaryColor,
+    return Container(
+      padding: const EdgeInsets.all(16),
+      decoration: BoxDecoration(
+        color: Colors.white,
+        borderRadius: BorderRadius.circular(16),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.black.withOpacity(0.05),
+            blurRadius: 10,
+            offset: const Offset(0, 4),
           ),
-        ),
-        const SizedBox(height: 12),
-        Row(
-          children: [
-            Expanded(
-              child: StatisticCard(
-                title: 'Penitipan',
-                count: controller.jumlahMenunggu.value.toString(),
-                subtitle: 'Perlu Konfirmasi',
-                height: 120,
-                icon: Icons.inbox,
-                gradient: LinearGradient(
-                  colors: [Colors.orange, Colors.deepOrange],
-                  begin: Alignment.topLeft,
-                  end: Alignment.bottomRight,
+        ],
+      ),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Row(
+            children: [
+              Container(
+                padding: const EdgeInsets.all(8),
+                decoration: BoxDecoration(
+                  color: AppTheme.primaryColor.withOpacity(0.1),
+                  shape: BoxShape.circle,
+                ),
+                child: Icon(
+                  Icons.analytics,
+                  color: AppTheme.primaryColor,
+                  size: 20,
                 ),
               ),
-            ),
-            const SizedBox(width: 10),
-            Expanded(
-              child: StatisticCard(
-                title: 'Pengaduan',
-                count: controller.jumlahDiproses.value.toString(),
-                subtitle: 'Perlu Tindakan',
-                height: 120,
-                gradient: LinearGradient(
-                  colors: [Colors.orange, Colors.deepOrange],
-                  begin: Alignment.topLeft,
-                  end: Alignment.bottomRight,
+              const SizedBox(width: 10),
+              Text(
+                'Statistik Performa',
+                style: TextStyle(
+                  fontSize: 18,
+                  fontWeight: FontWeight.bold,
+                  color: AppTheme.primaryColor,
                 ),
-                icon: Icons.warning_amber,
               ),
-            ),
-          ],
-        ),
-      ],
+            ],
+          ),
+          const SizedBox(height: 16),
+          Row(
+            children: [
+              Expanded(
+                child: StatisticCard(
+                  title: 'Penitipan',
+                  count: controller.jumlahMenunggu.value.toString(),
+                  subtitle: 'Perlu Konfirmasi',
+                  height: 120,
+                  icon: Icons.inbox,
+                  gradient: LinearGradient(
+                    colors: [Colors.orange.shade600, Colors.orange.shade400],
+                    begin: Alignment.topLeft,
+                    end: Alignment.bottomRight,
+                  ),
+                ),
+              ),
+              const SizedBox(width: 12),
+              Expanded(
+                child: StatisticCard(
+                  title: 'Penerima',
+                  count: controller.totalPenerima.value.toString(),
+                  subtitle: 'Terdaftar',
+                  height: 120,
+                  gradient: LinearGradient(
+                    colors: [Colors.blue.shade600, Colors.blue.shade400],
+                    begin: Alignment.topLeft,
+                    end: Alignment.bottomRight,
+                  ),
+                  icon: Icons.people,
+                ),
+              ),
+            ],
+          ),
+          const SizedBox(height: 12),
+          Row(
+            children: [
+              Expanded(
+                child: StatisticCard(
+                  title: 'Penyaluran',
+                  count: controller.penyaluranTerlaksana.value.toString(),
+                  subtitle: 'Terlaksana',
+                  height: 120,
+                  gradient: LinearGradient(
+                    colors: [Colors.green.shade600, Colors.green.shade400],
+                    begin: Alignment.topLeft,
+                    end: Alignment.bottomRight,
+                  ),
+                  icon: Icons.assignment_turned_in,
+                ),
+              ),
+              const SizedBox(width: 12),
+              Expanded(
+                child: StatisticCard(
+                  title: 'Pengaduan',
+                  count: controller.jumlahDiproses.value.toString(),
+                  subtitle: 'Memerlukan Tindakan',
+                  height: 120,
+                  gradient: LinearGradient(
+                    colors: [Colors.red.shade600, Colors.red.shade400],
+                    begin: Alignment.topLeft,
+                    end: Alignment.bottomRight,
+                  ),
+                  icon: Icons.warning_amber,
+                ),
+              ),
+            ],
+          ),
+        ],
+      ),
     );
   }
 
   Widget _buildRecipientsList(TextTheme textTheme) {
-    return Column(
-      crossAxisAlignment: CrossAxisAlignment.start,
-      children: [
-        Row(
-          mainAxisAlignment: MainAxisAlignment.spaceBetween,
-          children: [
-            Text(
-              'Daftar Penerima Terbaru',
-              style: TextStyle(
-                fontSize: 18,
-                fontWeight: FontWeight.bold,
-                color: AppTheme.primaryColor,
-              ),
-            ),
-            TextButton(
-              onPressed: () {
-                Get.toNamed(Routes.daftarPenerima);
-              },
-              child: Row(
-                children: [
-                  Text(
-                    'Lihat Semua',
-                    style: textTheme.bodyMedium?.copyWith(
-                      color: AppTheme.primaryColor,
-                    ),
-                  ),
-                  Icon(
-                    Icons.chevron_right,
-                    size: 16,
-                    color: AppTheme.primaryColor,
-                  ),
-                ],
-              ),
-            ),
-          ],
-        ),
-        const SizedBox(height: 10),
-        FutureBuilder<List<Map<String, dynamic>>?>(
-          future: SupabaseService.to.getPenerimaTerbaru(),
-          builder: (context, snapshot) {
-            if (snapshot.connectionState == ConnectionState.waiting) {
-              return const Center(child: CircularProgressIndicator());
-            }
-
-            if (snapshot.hasError) {
-              return const Center(child: Text('Gagal memuat data penerima'));
-            }
-
-            final penerimaList = snapshot.data;
-
-            if (penerimaList == null || penerimaList.isEmpty) {
-              return Container(
-                padding: const EdgeInsets.all(16),
-                decoration: BoxDecoration(
-                  color: Colors.grey[200],
-                  borderRadius: BorderRadius.circular(12),
-                ),
-                child: const Row(
-                  children: [
-                    Icon(Icons.person_off, color: Colors.grey),
-                    SizedBox(width: 8),
-                    Text('Belum ada data penerima'),
-                  ],
-                ),
-              );
-            }
-
-            return ListView.builder(
-              shrinkWrap: true,
-              physics: const NeverScrollableScrollPhysics(),
-              itemCount: penerimaList.length > 3 ? 3 : penerimaList.length,
-              itemBuilder: (context, index) {
-                final penerima = penerimaList[index];
-                final name = penerima['nama_lengkap'] ?? 'Nama tidak tersedia';
-                final nik = penerima['nik'] ?? 'NIK tidak tersedia';
-                final status = penerima['status'] ?? 'AKTIF';
-                final id = penerima['id'] ?? 'ID tidak tersedia';
-                final fotoProfil = penerima['foto_profil'] ?? null;
-
-                return _buildRecipientItem(
-                    name, nik, status, id, textTheme, fotoProfil);
-              },
-            );
-          },
-        ),
-      ],
-    );
-  }
-
-  Widget _buildRecipientItem(String name, String nik, String status, String id,
-      TextTheme textTheme, String? fotoProfil) {
     return Container(
-      width: double.infinity,
-      margin: const EdgeInsets.only(bottom: 10),
+      padding: const EdgeInsets.all(16),
       decoration: BoxDecoration(
-        gradient: AppTheme.primaryGradient,
-        borderRadius: BorderRadius.circular(12),
+        color: Colors.white,
+        borderRadius: BorderRadius.circular(16),
         boxShadow: [
           BoxShadow(
             color: Colors.black.withOpacity(0.05),
-            blurRadius: 5,
-            offset: const Offset(0, 2),
+            blurRadius: 10,
+            offset: const Offset(0, 4),
           ),
         ],
       ),
-      child: InkWell(
-        onTap: () {
-          Get.toNamed(Routes.detailPenerima, arguments: id);
-        },
-        borderRadius: BorderRadius.circular(12),
-        child: Padding(
-          padding: const EdgeInsets.all(12.0),
-          child: Row(
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          Row(
+            mainAxisAlignment: MainAxisAlignment.spaceBetween,
             children: [
-              CircleAvatar(
-                backgroundColor: Colors.white.withOpacity(0.2),
-                backgroundImage:
-                    fotoProfil != null && fotoProfil.toString().isNotEmpty
-                        ? NetworkImage(fotoProfil)
-                        : null,
-                child: (fotoProfil == null || fotoProfil.toString().isEmpty)
-                    ? Text(
-                        name.toString().substring(0, 1).toUpperCase(),
-                        style: const TextStyle(
-                          fontWeight: FontWeight.bold,
-                          color: Colors.white,
-                          fontSize: 24,
-                        ),
-                      )
-                    : null,
-              ),
-              const SizedBox(width: 12),
               Expanded(
-                child: Column(
-                  crossAxisAlignment: CrossAxisAlignment.start,
+                child: Row(
                   children: [
-                    Text(
-                      name,
-                      style: textTheme.titleMedium?.copyWith(
-                        fontWeight: FontWeight.bold,
-                        color: Colors.white,
+                    Container(
+                      padding: const EdgeInsets.all(8),
+                      decoration: BoxDecoration(
+                        color: AppTheme.primaryColor.withOpacity(0.1),
+                        shape: BoxShape.circle,
+                      ),
+                      child: Icon(
+                        Icons.people,
+                        color: AppTheme.primaryColor,
+                        size: 20,
                       ),
                     ),
-                    Text(
-                      'NIK: $nik',
-                      style: textTheme.bodyMedium?.copyWith(
-                        color: Colors.white.withOpacity(0.8),
+                    const SizedBox(width: 10),
+                    Expanded(
+                      child: Text(
+                        'Daftar Penerima',
+                        style: TextStyle(
+                          fontSize: 18,
+                          fontWeight: FontWeight.bold,
+                          color: AppTheme.primaryColor,
+                        ),
+                        overflow: TextOverflow.ellipsis,
                       ),
                     ),
                   ],
                 ),
               ),
-              Container(
-                padding: const EdgeInsets.symmetric(horizontal: 8, vertical: 4),
-                decoration: BoxDecoration(
-                  color: Colors.white.withOpacity(0.2),
-                  borderRadius: BorderRadius.circular(12),
-                ),
-                child: Text(
-                  status,
-                  style: textTheme.bodySmall?.copyWith(
-                    color: Colors.white,
-                    fontSize: 12,
+              InkWell(
+                onTap: () => Get.toNamed(Routes.daftarPenerima),
+                borderRadius: BorderRadius.circular(50),
+                child: Container(
+                  padding:
+                      const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
+                  decoration: BoxDecoration(
+                    color: AppTheme.primaryColor.withOpacity(0.1),
+                    borderRadius: BorderRadius.circular(50),
+                  ),
+                  child: Row(
+                    mainAxisSize: MainAxisSize.min,
+                    children: [
+                      Text(
+                        'Lihat Semua',
+                        style: TextStyle(
+                          fontSize: 12,
+                          color: AppTheme.primaryColor,
+                          fontWeight: FontWeight.w500,
+                        ),
+                      ),
+                      const SizedBox(width: 2),
+                      Icon(
+                        Icons.arrow_forward,
+                        size: 12,
+                        color: AppTheme.primaryColor,
+                      ),
+                    ],
                   ),
                 ),
               ),
             ],
           ),
-        ),
+          const SizedBox(height: 16),
+          FutureBuilder<List<Map<String, dynamic>>?>(
+            future: SupabaseService.to.getPenerimaTerbaru(),
+            builder: (context, snapshot) {
+              if (snapshot.connectionState == ConnectionState.waiting) {
+                return const SizedBox(
+                  height: 100,
+                  child: Center(child: CircularProgressIndicator()),
+                );
+              }
+
+              if (snapshot.hasError) {
+                return Container(
+                  height: 100,
+                  decoration: BoxDecoration(
+                    color: Colors.red.withOpacity(0.1),
+                    borderRadius: BorderRadius.circular(12),
+                  ),
+                  child: const Center(
+                    child: Column(
+                      mainAxisSize: MainAxisSize.min,
+                      children: [
+                        Icon(Icons.error_outline, color: Colors.red, size: 28),
+                        SizedBox(height: 8),
+                        Text(
+                          'Gagal memuat data penerima',
+                          style: TextStyle(color: Colors.red),
+                        ),
+                      ],
+                    ),
+                  ),
+                );
+              }
+
+              final penerimaList = snapshot.data;
+
+              if (penerimaList == null || penerimaList.isEmpty) {
+                return Container(
+                  height: 100,
+                  decoration: BoxDecoration(
+                    color: Colors.grey[200],
+                    borderRadius: BorderRadius.circular(12),
+                  ),
+                  child: const Center(
+                    child: Column(
+                      mainAxisSize: MainAxisSize.min,
+                      children: [
+                        Icon(Icons.person_off, color: Colors.grey, size: 28),
+                        SizedBox(height: 8),
+                        Text(
+                          'Belum ada data penerima',
+                          style: TextStyle(color: Colors.grey),
+                        ),
+                      ],
+                    ),
+                  ),
+                );
+              }
+
+              return ListView.builder(
+                shrinkWrap: true,
+                physics: const NeverScrollableScrollPhysics(),
+                itemCount: penerimaList.length > 3 ? 3 : penerimaList.length,
+                itemBuilder: (context, index) {
+                  final penerima = penerimaList[index];
+                  final name =
+                      penerima['nama_lengkap'] ?? 'Nama tidak tersedia';
+                  final nik = penerima['nik'] ?? 'NIK tidak tersedia';
+                  final status = penerima['status'] ?? 'AKTIF';
+                  final id = penerima['id'] ?? 'ID tidak tersedia';
+                  final fotoProfil = penerima['foto_profil'] ?? null;
+
+                  return Container(
+                    width: double.infinity,
+                    margin: const EdgeInsets.only(bottom: 10),
+                    decoration: BoxDecoration(
+                      gradient: LinearGradient(
+                        colors: [Colors.blue.shade700, Colors.blue.shade500],
+                        begin: Alignment.topLeft,
+                        end: Alignment.bottomRight,
+                      ),
+                      borderRadius: BorderRadius.circular(12),
+                      boxShadow: [
+                        BoxShadow(
+                          color: Colors.blue.withOpacity(0.2),
+                          blurRadius: 5,
+                          offset: const Offset(0, 2),
+                        ),
+                      ],
+                    ),
+                    child: Material(
+                      color: Colors.transparent,
+                      child: InkWell(
+                        onTap: () {
+                          Get.toNamed(Routes.detailPenerima, arguments: id);
+                        },
+                        borderRadius: BorderRadius.circular(12),
+                        child: Padding(
+                          padding: const EdgeInsets.all(12.0),
+                          child: Row(
+                            children: [
+                              Stack(
+                                children: [
+                                  CircleAvatar(
+                                    radius: 25,
+                                    backgroundColor:
+                                        Colors.white.withOpacity(0.2),
+                                    backgroundImage: fotoProfil != null &&
+                                            fotoProfil.toString().isNotEmpty
+                                        ? NetworkImage(fotoProfil)
+                                        : null,
+                                    child: (fotoProfil == null ||
+                                            fotoProfil.toString().isEmpty)
+                                        ? Text(
+                                            name
+                                                .toString()
+                                                .substring(0, 1)
+                                                .toUpperCase(),
+                                            style: const TextStyle(
+                                              fontWeight: FontWeight.bold,
+                                              color: Colors.white,
+                                              fontSize: 24,
+                                            ),
+                                          )
+                                        : null,
+                                  ),
+                                  Positioned(
+                                    right: 0,
+                                    bottom: 0,
+                                    child: Container(
+                                      padding: const EdgeInsets.all(2),
+                                      decoration: BoxDecoration(
+                                        color: status == 'AKTIF'
+                                            ? Colors.green
+                                            : Colors.red,
+                                        shape: BoxShape.circle,
+                                        border: Border.all(
+                                          color: Colors.white,
+                                          width: 1.5,
+                                        ),
+                                      ),
+                                      width: 12,
+                                      height: 12,
+                                    ),
+                                  ),
+                                ],
+                              ),
+                              const SizedBox(width: 12),
+                              Expanded(
+                                child: Column(
+                                  crossAxisAlignment: CrossAxisAlignment.start,
+                                  children: [
+                                    Text(
+                                      name,
+                                      style: const TextStyle(
+                                        fontWeight: FontWeight.bold,
+                                        color: Colors.white,
+                                        fontSize: 16,
+                                      ),
+                                    ),
+                                    const SizedBox(height: 4),
+                                    Row(
+                                      children: [
+                                        const Icon(
+                                          Icons.credit_card,
+                                          color: Colors.white70,
+                                          size: 14,
+                                        ),
+                                        const SizedBox(width: 4),
+                                        Expanded(
+                                          child: Text(
+                                            'NIK: $nik',
+                                            style: const TextStyle(
+                                              color: Colors.white70,
+                                              fontSize: 12,
+                                            ),
+                                            maxLines: 1,
+                                            overflow: TextOverflow.ellipsis,
+                                          ),
+                                        ),
+                                      ],
+                                    ),
+                                  ],
+                                ),
+                              ),
+                              Container(
+                                padding: const EdgeInsets.symmetric(
+                                    horizontal: 8, vertical: 4),
+                                decoration: BoxDecoration(
+                                  color: Colors.white.withOpacity(0.2),
+                                  borderRadius: BorderRadius.circular(12),
+                                ),
+                                child: Row(
+                                  children: [
+                                    Icon(
+                                      status == 'AKTIF'
+                                          ? Icons.check_circle
+                                          : Icons.cancel,
+                                      color: status == 'AKTIF'
+                                          ? Colors.green.shade300
+                                          : Colors.red.shade300,
+                                      size: 12,
+                                    ),
+                                    const SizedBox(width: 4),
+                                    Text(
+                                      status,
+                                      style: const TextStyle(
+                                        color: Colors.white,
+                                        fontSize: 12,
+                                        fontWeight: FontWeight.w500,
+                                      ),
+                                    ),
+                                  ],
+                                ),
+                              ),
+                            ],
+                          ),
+                        ),
+                      ),
+                    ),
+                  );
+                },
+              );
+            },
+          ),
+        ],
       ),
     );
   }
diff --git a/lib/app/modules/petugas_desa/views/detail_donatur_view.dart b/lib/app/modules/petugas_desa/views/detail_donatur_view.dart
index b680308..063ca3c 100644
--- a/lib/app/modules/petugas_desa/views/detail_donatur_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_donatur_view.dart
@@ -277,7 +277,7 @@ class DetailDonaturView extends GetView<DonaturController> {
                           child: _buildSummaryCard(
                             title: 'Donasi Uang',
                             value: jumlahDonasiUang.toString(),
-                            icon: Icons.attach_money,
+                            icon: Icons.payment_rounded,
                             color: jenisColor,
                           ),
                         ),
